Fetch card credentials (pin/pan/cvv/password/phone)
curl --request POST \
--url https://api.sandbox.finsei.com/v2/card/{id}/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": [
"cvv",
"pin"
]
}
'import requests
url = "https://api.sandbox.finsei.com/v2/card/{id}/credentials"
payload = { "fields": ["cvv", "pin"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fields: ['cvv', 'pin']})
};
fetch('https://api.sandbox.finsei.com/v2/card/{id}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.finsei.com/v2/card/{id}/credentials",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fields' => [
'cvv',
'pin'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.finsei.com/v2/card/{id}/credentials"
payload := strings.NewReader("{\n \"fields\": [\n \"cvv\",\n \"pin\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.finsei.com/v2/card/{id}/credentials")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fields\": [\n \"cvv\",\n \"pin\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.finsei.com/v2/card/{id}/credentials")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fields\": [\n \"cvv\",\n \"pin\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"password": "Aa123!qweqwe",
"cvv": "123",
"pin": "1234",
"pan": "4743591235635050",
"phone": "+48511155588",
"email": "client@example.com"
}{
"name": "Bad Request",
"message": "<string>",
"status": 400
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"status": 401
}{
"name": "Forbidden",
"message": "String",
"status": 403
}{
"status": "ERROR",
"error": {
"code": 404,
"message": "Not Found"
}
}Endpoints
POST /v2/card/{id}/credentials
POST
/
v2
/
card
/
{id}
/
credentials
Fetch card credentials (pin/pan/cvv/password/phone)
curl --request POST \
--url https://api.sandbox.finsei.com/v2/card/{id}/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": [
"cvv",
"pin"
]
}
'import requests
url = "https://api.sandbox.finsei.com/v2/card/{id}/credentials"
payload = { "fields": ["cvv", "pin"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fields: ['cvv', 'pin']})
};
fetch('https://api.sandbox.finsei.com/v2/card/{id}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.finsei.com/v2/card/{id}/credentials",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fields' => [
'cvv',
'pin'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.finsei.com/v2/card/{id}/credentials"
payload := strings.NewReader("{\n \"fields\": [\n \"cvv\",\n \"pin\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.finsei.com/v2/card/{id}/credentials")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fields\": [\n \"cvv\",\n \"pin\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.finsei.com/v2/card/{id}/credentials")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fields\": [\n \"cvv\",\n \"pin\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"password": "Aa123!qweqwe",
"cvv": "123",
"pin": "1234",
"pan": "4743591235635050",
"phone": "+48511155588",
"email": "client@example.com"
}{
"name": "Bad Request",
"message": "<string>",
"status": 400
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"status": 401
}{
"name": "Forbidden",
"message": "String",
"status": 403
}{
"status": "ERROR",
"error": {
"code": 404,
"message": "Not Found"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Requested credentials fields. Request latency increases with the number of requested fields.
Minimum array length:
1Available options:
password, cvv, pin, pan, phone, email Example:
["cvv", "pin"]
Response
OK
3D Secure password
Example:
"Aa123!qweqwe"
Card CVV
Example:
"123"
Card PIN
Example:
"1234"
Card number
Example:
"4743591235635050"
3D Secure phone
Example:
"+48511155588"
3D Secure email
Example:
"client@example.com"